Bug 74034 - Consider including "Light" variant of Open Sans
Summary: Consider including "Light" variant of Open Sans
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-24 23:59 UTC by Fabian Alexander Wilms
Modified: 2016-05-23 14:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Alexander Wilms 2014-01-24 23:59:31 UTC
AFAIK LibreOffice doesn't ship with any other font containing a light variant and in my opinion it is very useful for creating appealing documents.

The relevant code seems to be here: http://opengrok.libreoffice.org/xref/core/external/more_fonts/ExternalPackage_opensans.mk
Comment 1 Stefan Knorr (astron) 2014-06-09 11:34:13 UTC
The light variant was deliberately excluded as LibreOffice (and its users) would probably only be confused by it: LibreOffice is works best with two weights of fonts (Regular & Bold) and two styles of fonts (Upright & Italic). Everything else only ends in a mess: e.g. What happens when using the Bold button on a light font? Which fonts are displayed in the font drop-down?

(And yes, I do have enough pro fonts on my computer to know that many weights/many styles are a pain to work with in LibreOffice.)
Comment 2 tommy27 2014-11-23 16:43:08 UTC
@Stefan Knorr 
could we label this as WONTFIX?
Comment 3 Adolfo Jayme 2014-11-24 03:21:10 UTC
Well, we’ve shipped all of the Source Sans Pro weights for a while already and the sky hasn’t fallen. I really don’t see why we shouldn’t ship Open Sans Light.
Comment 4 Heiko Tietze 2016-05-23 14:43:47 UTC
Old ticket, recommended to close - doing so.